/* This code is under the GPL.
   Copyright 1998 Christopher James Lahey. */
#include <gtk/gtk.h>
#include "gtkrichtext.h"
#include "gtkpager.h"

int 
main( int argc, char *argv[] )
{
  GtkWidget *rtext;
  GtkWidget *window;
  GtkWidget *table;
  GtkWidget *vscroll, *hscroll;
  GtkWidget *pager;
  GtkRichTextFont *font;
  gtk_init( &argc, &argv );

  font = gtk_rich_text_font_new( "fixed" );
  
  window = gtk_window_new( GTK_WINDOW_TOPLEVEL );
  gtk_widget_set_usize( window, 200, 200 );
  gtk_signal_connect( GTK_OBJECT( window ), "destroy",
		      GTK_SIGNAL_FUNC( gtk_main_quit ), NULL );

  table = gtk_table_new( 2, 2, FALSE );
  
  gtk_container_add( GTK_CONTAINER( window ), table );

  rtext = gtk_rich_text_new( NULL, NULL );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "This is a multiple line message.\nDon't you think?\n", strlen("This is a multiple line message.\nDon't you think?\n") );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "premail", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "documentation", 13 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "This", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "is", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "documentation", 13 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "for", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "premail", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "This", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "is", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "documentation", 13 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "for", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "version", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "of", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "premail,", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "an", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "privacy", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "package", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "by", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "It", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "is", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "organized", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "as", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "a", 1 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "single,", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "large", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "document", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "so", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "as", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "be", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "easily", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "readable", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "when", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "printed.", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "You", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "can,", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "however,", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "jump", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "directly", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "one", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "of", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "these", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "topics:", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "of", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "The", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "main", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "function", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "of", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "premail", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "is", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "adding", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "support", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "for", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "encrypted", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "your", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "mailer,", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "using", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "plain", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "PGP,", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "or", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "In", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "addition,", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "premail", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "provides", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "a", 1 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "seamless,", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "transparent", 11 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "interface", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), NULL, NULL, NULL, "the", 3 );
  font = gtk_rich_text_font_new( "-adobe-times-medium-r-normal--14-140-75-75-p-74-iso8859-1" );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "including", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "full", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "support", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "for", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Mixmaster", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "remailers", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "and", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "nymservers.", 11 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Nymservers", 10 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "provide", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "cryptographically", 17 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "protected,", 10 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "fully", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "anonymous", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "accounts", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "for", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "both", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "sending", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "and", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "receiving", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "While", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "premail", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "can", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "be", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "used", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "as", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "a", 1 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "application,", 12 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "it", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "works", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "best", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "when", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "integrated", 10 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "with", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "your", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mailer.", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Currently,", 10 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "premail", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "is", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "integrated", 10 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "completely", 10 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "seamlessly", 10 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "and", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "transparently", 13 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "only", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "with", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Netscape", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mailer.", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "It", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "works", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "fairly", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "well", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "with", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "or", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "later,", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "as", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "well", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "PGP", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "is", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "supported,", 10 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "but", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "decryption", 10 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "of", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "encryption", 10 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "protocols", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "is", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "still", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Transparent", 11 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "integration", 11 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "of", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "outgoing", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mail", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "only", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "is", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "supported", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "for", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "any", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mailer", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "in", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "which", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mail", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "sending", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "program", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "can", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "be", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "configured,", 11 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "including", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Berkeley", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mail,", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "most", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "emacs", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mailers,", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "and", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "For", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "these", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mailers,", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "you", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "can", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "decode", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "messages", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "with", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "a", 1 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "single", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "command.", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "To", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "integrate", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "with", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "your", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mailer,", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "premail", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "places", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "itself", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "between", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mailer", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "and", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "actual", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mail", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "transport.", 10 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "For", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "outgoing", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mail,", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "premail", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "masquerades", 11 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "as", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "sendmail.", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "You", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "configure", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "your", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mailer", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "call", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "premail", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "instead", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "of", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "sendmail.", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Then,", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "premail", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "performs", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "encryption", 10 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "or", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "signing,", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "and", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "invokes", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "sendmail", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "actually", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "send", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "message.", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "For", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mailers", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "that", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "call", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "a", 1 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "command", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "receive", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "incoming", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mail", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Netscape", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "situation", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "is", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "similar.", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Netscape,", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "for", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "example,", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "can", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "be", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "configured", 10 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "call", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "movemail", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "get", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "incoming", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mail.", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "To", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "integrate", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "premail,", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "configure", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Netscape", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "call", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "premail", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "instead,", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "which", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "would", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "in", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "turn", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "call", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "movemail", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "actually", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "get", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "mail,", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "then", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "would", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "decode", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "it.", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "You", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "need", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "following", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "software", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "in", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "order", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "effectively", 11 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "use", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "premail:", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Unfortunately,", 14 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "premail", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "does", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "not", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "work", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "on", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Mac", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "or", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Windows.", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "or", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "later.", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "or", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "later", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "for", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "for", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "MOSS", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "for", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "higher", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "security", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "anonymous", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "if", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "behind", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "a", 1 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "First,", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "you", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "need", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "get", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "premail.", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "The", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "source", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "code", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "is", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "available", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "from", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "an", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Web", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "server.", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "You", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "may", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "also", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "be", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "able", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "find", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "a", 1 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "copy", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "on", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "FTP", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "site", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "in", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Netherlands.", 12 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "In", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "either", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "case,", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "you", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "want", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "get", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "file", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "After", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "gotten", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "file,", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "unpack", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "it.", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "This", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "command", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "should", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "do", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "it:", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "gzip", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "tar", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "xvf", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "The", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "unpacking", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "process", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "will", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "create", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "a", 1 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "subdirectory", 12 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "called", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "containing", 10 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "following", 9 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "files:", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "short", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "description", 11 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "of", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "premail", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "program", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "skeletal", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "preferences", 11 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "Test", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "see", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "if", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "you", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "can", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "run", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "premail.", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "These", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "commands", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "should", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "print", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "a", 1 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "usage", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "summary:", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "cd", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "If", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "you", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "get", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "an", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "error", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "message", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "reading", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "not", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "then", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "you", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "will", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "have", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "edit", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "first", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "line", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "of", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "refer", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "actual", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "pathname", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "of", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "interpreter.", 12 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "One", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "good", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "way", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "find", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "out", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "pathname", 8 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "is", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "to", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "do", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "or", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "On", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "other", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "hand,", 5 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "if", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "you", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "get", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "a", 1 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "string", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "of", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "syntax", 6 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "errors,", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "then", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "the", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "problem", 7 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "is", 2 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "that", 4 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "you", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "are", 3 );
  gtk_rich_text_insert( GTK_RICH_TEXT( rtext ), font, NULL, NULL, "running", 7 );

  gtk_table_attach( GTK_TABLE( table ), rtext, 0, 1, 0, 1, 
		    GTK_FILL | GTK_SHRINK | GTK_EXPAND, 
		    GTK_FILL | GTK_SHRINK | GTK_EXPAND, 
		    0, 0 );

  vscroll = gtk_vscrollbar_new( GTK_RICH_TEXT( rtext )->vadj );
  GTK_WIDGET_UNSET_FLAGS( vscroll, GTK_CAN_FOCUS );
  gtk_table_attach( GTK_TABLE( table ), vscroll, 1, 2, 0, 1, GTK_FILL, GTK_FILL, 0, 0 );

  hscroll = gtk_hscrollbar_new( GTK_RICH_TEXT( rtext )->hadj );
  GTK_WIDGET_UNSET_FLAGS( hscroll, GTK_CAN_FOCUS );
  gtk_table_attach( GTK_TABLE( table ), hscroll, 0, 1, 1, 2, GTK_FILL, GTK_FILL, 0, 0 );

  pager = gtk_pager_new( GTK_RICH_TEXT( rtext )->hadj, GTK_RICH_TEXT( rtext )->vadj );
  gtk_widget_set_usize( pager, 10, 10 );
  GTK_PAGER(pager)->acceleration = 1;
  GTK_WIDGET_UNSET_FLAGS( hscroll, GTK_CAN_FOCUS );
  gtk_table_attach( GTK_TABLE( table ), pager, 1, 2, 1, 2, GTK_FILL, GTK_FILL, 0, 0 );

  gtk_widget_show_all( window );

  gtk_rich_text_set_minimum_width( GTK_RICH_TEXT( rtext ), 200 );

  gtk_widget_set_usize( window, 0, 0 );
  
  gtk_main();

  return 0;
}
